import { RouterType } from '@/types'
import React from 'react'

const tabLeftArr: RouterType = [
  {
    id: '1',
    name: '业务配置',
    son: [
      {
        id: '1.1',
        name: '相机列表',
        path: '/',
        Com: React.lazy(() => import('../A1Camera')),
        done: false
      },
      // 相机列表的查看
      {
        id: '1.1.1',
        name: '相机列表-查看',
        path: '/lookList/:id',
        Com: React.lazy(() => import('../ALookPage/A1List')),
        done: false,
        noShow: true
      },
      {
        id: '1.3',
        name: '业务订单',
        path: '/business',
        Com: React.lazy(() => import('../A2Abusiness')),
        done: false
      },
      // 业务订单的查看
      {
        id: '1.3.1',
        name: '业务订单-查看-租赁',
        path: '/lookZL/:id',
        Com: React.lazy(() => import('../ALookPage/A2ZL')),
        done: false,
        noShow: true
      },
      {
        id: '1.3.2',
        name: '业务订单-查看-销售',
        path: '/lookXS/:id',
        Com: React.lazy(() => import('../ALookPage/A2XS')),
        done: false,
        noShow: true
      },
      {
        id: '1.3.3',
        name: '业务订单-查看-报修',
        path: '/lookBX/:id',
        Com: React.lazy(() => import('../ALookPage/A2BX')),
        done: false,
        noShow: true
      },
      {
        id: '1.3.4',
        name: '业务订单-查看-定损',
        path: '/lookDS/:id',
        Com: React.lazy(() => import('../ALookPage/A2DS')),
        done: false,
        noShow: true
      },
      {
        id: '1.3.5',
        name: '业务订单-查看-维修',
        path: '/lookWX/:id',
        Com: React.lazy(() => import('../ALookPage/A2WX')),
        done: false,
        noShow: true
      },
      {
        id: '1.4',
        name: '物流订单',
        path: '/logistics',
        Com: React.lazy(() => import('../A2Blogistics')),
        done: false
      },

      // 相机列表的查看
      {
        id: '1.4.1',
        name: '物流订单-查看',
        path: '/lookLog/:id',
        Com: React.lazy(() => import('../ALookPage/A2BLog')),
        done: false,
        noShow: true
      },

      {
        id: '1.2',
        name: '机房管理',
        path: '/psychz',
        Com: React.lazy(() => import('../A2Psychz')),
        done: false
      }
    ]
  },

  {
    id: '2',
    name: '采集管理',
    son: [
      {
        id: '2.1',
        name: '进度统计',
        path: '/plan',
        Com: React.lazy(() => import('../B1Plan')),
        done: false
      },
      {
        id: '2.2',
        name: '场景审核',
        path: '/scene',
        Com: React.lazy(() => import('../B2Scene')),
        done: false
      },
      {
        id: '2.3',
        name: '场景推送',
        path: '/push',
        Com: React.lazy(() => import('../B3Push')),
        done: false
      },
      {
        id: '2.4',
        name: 'Json推送',
        path: '/jsonpush',
        Com: React.lazy(() => import('../B4JsonPush')),
        done: false
      }
    ]
  },

  {
    id: '3',
    name: '系统管理',
    son: [
      {
        id: '3.1',
        name: '用户管理',
        path: '/user',
        Com: React.lazy(() => import('../C1User')),
        done: false
      },
      {
        id: '3.2',
        name: '系统日志',
        path: '/log',
        Com: React.lazy(() => import('../C2Log')),
        done: false
      }
    ]
  }
]

export default tabLeftArr
